Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005234Dwarf FortressAdventure Mode -- Townpublic2012-02-17 14:162018-04-13 13:09
ReporterDarthCloakedDwarf 
Assigned To 
PriorityhighSeveritymajorReproducibilityalways
StatusnewResolutionopen 
PlatformOSOS Version
Product Version0.34.01 
Target VersionFixed in Version 
Summary0005234: No shops in any but largest cities-- and those have no merchandise.
DescriptionMoney seems to be completely useless in any of the four worlds I've genned. There simply isn't anything to buy with it anywhere.

There are no shops except in the largest of cities, and these have lots of people standing around, selling no merchandise.
Steps To Reproduce1. Generate a world.
2. Go visit a town in adventure mode.
3. Trade with a shopkeeper (if you can find one, good luck!)
4. ???
5. No profit.
TagsNo tags attached.
Attached Files

- Relationships
related to 0005149new Leather shops and cloth shops in towns are always empty 
related to 0005133needs feedbackFootkerchief Metal armor does not exist in shops 

-  Notes
(0019972)
Footkerchief (manager)
2012-02-17 15:10

How old are the worlds you're generating?
(0019992)
EnigmaticHat (reporter)
2012-02-17 15:59

I have purchased both food and ammunition in my 125 year world, as well as locating a mediocre weapon shop. There is plenty of goods, but a lot of it is of no use to adventurers and over half of it is useless bone crafts. Every shop and market I've found has been fully stocked and had merchants.
(0020014)
DarthCloakedDwarf (reporter)
2012-02-17 22:57

All the worlds I've genned are 250 years old.
(0020015)
Aussiemon (reporter)
2012-02-18 00:10

I've seen a little bit of this.

In the same world, 357 years old, I had a perfect city, where every street had a working shop; where people and animals roamed the streets; and all with minimal lag.

In another city, it was filled to the brim with abandoned shops and houses, still with bags and bags of food. The city suffered from extreme lag, the temple was unvisitable, and the whole thing was a complete mess.

Personally, I liked the juxtaposition of societal decay and prosperity.
(0020899)
Aar (reporter)
2012-02-29 01:41

I generated several 125 year old worlds that seem to be completely lacking backpacks and waterskins. It makes playing as an outsider tricky.
(0020900)
malvado (reporter)
2012-02-29 02:01

Seems it does get worse the older the Towns are, I generated an 650 Years old World and most shops where abandoned and filled with clothing. Oh and tons of gold , silver , copper money laying around.
(0038157)
sionlife (reporter)
2018-04-13 13:09
edited on: 2018-04-13 13:16

Still present in 44.09. I have a save where I am in the middle of a human town and all the shops appear abandoned. I can't find a shopkeeper to buy things from. The world is 150 years old. I don't want to steal things so I am a bit stuck.

http://dffd.bay12games.com/file.php?id=13677 [^]

Edit: sorry forgot to add. To the south is a large open air market place where there are actually merchants standing beside their stalls. However they exhibit a problem in that they do not seem to hold coins. I sold some items for cash. The trade seemed to go through ok and my goods appeared at my feet with the $$ symbols but I looked in my inventory and there were no coins given over to me.


- Issue History
Date Modified Username Field Change
2012-02-17 14:16 DarthCloakedDwarf New Issue
2012-02-17 15:10 Footkerchief Note Added: 0019972
2012-02-17 15:59 EnigmaticHat Note Added: 0019992
2012-02-17 18:53 Footkerchief Tag Attached: AWAITING UPDATE
2012-02-17 22:57 DarthCloakedDwarf Note Added: 0020014
2012-02-18 00:10 Aussiemon Note Added: 0020015
2012-02-18 06:55 Footkerchief Tag Detached: AWAITING UPDATE
2012-02-18 06:57 Footkerchief Relationship added related to 0005149
2012-02-18 06:57 Footkerchief Relationship added related to 0005133
2012-02-29 01:41 Aar Note Added: 0020899
2012-02-29 02:01 malvado Note Added: 0020900
2012-02-29 02:50 Aar Issue Monitored: Aar
2018-04-13 13:09 sionlife Note Added: 0038157
2018-04-13 13:16 sionlife Note Edited: 0038157 View Revisions
2018-04-13 13:16 sionlife Note Edited: 0038157 View Revisions


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker